package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.DemFileLabel;
import com.usky.fire.service.DemFileLabelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-09-14
 */
@RestController
@RequestMapping("/demFileLabel")
public class DemFileLabelController {

    @Autowired
    private DemFileLabelService demFileLabelService;

    /**
     * 标签-列表/下拉框查询
     *
     * @param fid       父ID
     * @param labelName 标签ID
     * @return
     */
    @GetMapping("demFileLabelList")
    public ApiResult<List<DemFileLabel>> demFileLabelList(@RequestParam(value = "fid", required = false) Integer fid,
                                                          @RequestParam(value = "labelName", required = false) String labelName) {
        return ApiResult.success(demFileLabelService.demFileLabelList(fid, labelName, null));
    }
}

